[package]
name = "chireiden-thing"
version = "0.1.0"
edition = "2021"

[dependencies]
env_logger = "0.11.5"
log = "0.4.22"
wgpu = "22.1"
winit = "0.30.5"
macros = { path = "macros" }
ndarray = "0.16.1"
num-derive = "0.4.2"
num-traits = "0.2.19"
rand = "0.8.5"
truth = { git = "https://github.com/ExpHP/truth" }
anyhow = { version = "1.0", features = ["backtrace"] }
glam = { version = "0.29", features = ["bytemuck"] }
bytemuck = { version = "1.18", features = ["derive"] }
nonoverlapping_interval_tree = "0.1.5"
memmap2 = "0.9.5"
rodio = "0.19.0"
zerocopy = { version = "0.8.8", features = ["derive"] }
microstate = "1.0.0"
sfsm = "0.4.3"
identconv = "0.2.0"
paste = "1.0.15"
crossbeam = "0.8.4"
async-std = { version = "1.13.0" }
futures = "0.3.31"

[dev-dependencies]
csv = "1.3.0"
serde = { version = "1.0.214", features = ["derive"] }
